View Issue Details

IDProjectCategoryView StatusLast Update
13799Bug reportsSurvey editingpublic2019-05-22 13:53
Reporterollehar Assigned Toc_schmitz  
PrioritynoneSeverityblock 
Status closedResolutionfixed 
Product Version4.0.0dev 
Fixed in Version4.0.0-beta 
Summary13799: Can't import survey with different base language than English
Description

Title.

Steps To Reproduce
  1. Create survey with base language German in LS3
  2. Switch to LS4 dev
  3. Import survey
  4. Error, see notice

or

  1. Import attached survey
  2. See error
TagsNo tags attached.
Complete LimeSurvey version number (& build)latest dev
I will donate to the project if issue is resolvedNo
Browser-
Database & DB-Version-
Server OS (if known)-
Webserver software & version (if known)-
PHP Version-

Activities

ollehar

ollehar

2018-06-21 14:44

administrator  

PHP notice.html (28,145 bytes)   
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- saved from url=(0065)http://localhost/lime25/limesurvey/index.php/admin/survey/sa/copy -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<title>PHP notice</title>

<style type="text/css">
/*<![CDATA[*/
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td{border:0;outline:0;font-size:100%;vertical-align:baseline;background:transparent;margin:0;padding:0;}
body{line-height:1;}
ol,ul{list-style:none;}
blockquote,q{quotes:none;}
blockquote:before,blockquote:after,q:before,q:after{content:none;}
:focus{outline:0;}
ins{text-decoration:none;}
del{text-decoration:line-through;}
table{border-collapse:collapse;border-spacing:0;}

body {
	font: normal 9pt "Verdana";
	color: #000;
	background: #fff;
}

h1 {
	font: normal 18pt "Verdana";
	color: #f00;
	margin-bottom: .5em;
}

h2 {
	font: normal 14pt "Verdana";
	color: #800000;
	margin-bottom: .5em;
}

h3 {
	font: bold 11pt "Verdana";
}

pre {
	font: normal 11pt Menlo, Consolas, "Lucida Console", Monospace;
}

pre span.error {
	display: block;
	background: #fce3e3;
}

pre span.ln {
	color: #999;
	padding-right: 0.5em;
	border-right: 1px solid #ccc;
}

pre span.error-ln {
	font-weight: bold;
}

.container {
	margin: 1em 4em;
}

.version {
	color: gray;
	font-size: 8pt;
	border-top: 1px solid #aaa;
	padding-top: 1em;
	margin-bottom: 1em;
}

.message {
	color: #000;
	padding: 1em;
	font-size: 11pt;
	background: #f3f3f3;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	margin-bottom: 1em;
	line-height: 160%;
}

.source {
	margin-bottom: 1em;
}

.code pre {
	background-color: #ffe;
	margin: 0.5em 0;
	padding: 0.5em;
	line-height: 125%;
	border: 1px solid #eee;
}

.source .file {
	margin-bottom: 1em;
	font-weight: bold;
}

.traces {
	margin: 2em 0;
}

.trace {
	margin: 0.5em 0;
	padding: 0.5em;
}

.trace.app {
	border: 1px dashed #c00;
}

.trace .number {
	text-align: right;
	width: 2em;
	padding: 0.5em;
}

.trace .content {
	padding: 0.5em;
}

.trace .plus,
.trace .minus {
	display:inline;
	vertical-align:middle;
	text-align:center;
	border:1px solid #000;
	color:#000;
	font-size:10px;
	line-height:10px;
	margin:0;
	padding:0 1px;
	width:10px;
	height:10px;
}

.trace.collapsed .minus,
.trace.expanded .plus,
.trace.collapsed pre {
	display: none;
}

.trace-file {
	cursor: pointer;
	padding: 0.2em;
}

.trace-file:hover {
	background: #f0ffff;
}
/*]]>*/
</style>
</head>

<body>
<div class="container">
	<h1>PHP notice</h1>

	<p class="message">
		Undefined index: de	</p>

	<div class="source">
		<p class="file">/var/www/lime25/limesurvey/application/helpers/expressions/em_manager_helper.php(8774)</p>
		<div class="code"><pre><span class="ln">8762</span>             } elseif(is_null($sLanguage)) {
<span class="ln">8763</span>                 $sLanguage=$survey-&gt;language;
<span class="ln">8764</span>             }
<span class="ln">8765</span>             $oQuestionGroups=$survey-&gt;groups;
<span class="ln">8766</span> 
<span class="ln">8767</span>             $qinfo = array();
<span class="ln">8768</span>             $_order=0;
<span class="ln">8769</span>             $gid = array();
<span class="ln">8770</span>             foreach ($oQuestionGroups as $oQuestionGroup) {
<span class="ln">8771</span>                 $gid[$oQuestionGroup-&gt;gid] = array(
<span class="ln">8772</span>                     'group_order' =&gt; $_order,
<span class="ln">8773</span>                     'gid' =&gt;  $oQuestionGroup-&gt;gid,
<span class="error"><span class="ln error-ln">8774</span>                     'group_name' =&gt; $oQuestionGroup-&gt;questionGroupL10ns[$sLanguage]-&gt;group_name,
</span><span class="ln">8775</span>                     'description' =&gt;  $oQuestionGroup-&gt;questionGroupL10ns[$sLanguage]-&gt;description,
<span class="ln">8776</span>                     'grelevance' =&gt; (!($this-&gt;sPreviewMode=='question' || $this-&gt;sPreviewMode=='group')) ? $oQuestionGroup-&gt;grelevance:1,
<span class="ln">8777</span>                     'randomization_group' =&gt;  $oQuestionGroup-&gt;randomization_group
<span class="ln">8778</span>                 );
<span class="ln">8779</span>                 $qinfo[$_order] = $gid[$oQuestionGroup-&gt;gid];
<span class="ln">8780</span>                 ++$_order;
<span class="ln">8781</span>             }
<span class="ln">8782</span>             // Needed for Randomization group.
<span class="ln">8783</span>             $groupRemap= (!$this-&gt;sPreviewMode &amp;&amp; !empty($_SESSION['survey_'.$surveyid]['groupReMap']) &amp;&amp; !empty($_SESSION['survey_'.$surveyid]['grouplist']));
<span class="ln">8784</span>             if ($groupRemap)
<span class="ln">8785</span>             {
<span class="ln">8786</span>                 $_order=0;
</pre></div>	</div>

	<div class="traces">
		<h2>Stack Trace</h2>
				<table style="width:100%;">
						<tbody><tr class="trace app expanded">
			<td class="number">
				#0			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/helpers/expressions/em_manager_helper.php(3705): <strong>LimeExpressionManager</strong>-&gt;<strong>getGroupInfoForEM</strong>("872677", "de")				</div>

				<div class="code"><pre><span class="ln">3700</span>             'I' =&gt; $this-&gt;gT("Increase"),
<span class="ln">3701</span>             'S' =&gt; $this-&gt;gT("Same"),
<span class="ln">3702</span>             'D' =&gt; $this-&gt;gT("Decrease"),
<span class="ln">3703</span>             );
<span class="ln">3704</span> 
<span class="error"><span class="ln error-ln">3705</span>             $this-&gt;gseq2info = $this-&gt;getGroupInfoForEM($surveyid,$_SESSION['LEMlang']);
</span><span class="ln">3706</span>             foreach ($this-&gt;gseq2info as $aGroupInfo)
<span class="ln">3707</span>             {
<span class="ln">3708</span>                 $this-&gt;groupId2groupSeq[$aGroupInfo['gid']] = $aGroupInfo['group_order'];
<span class="ln">3709</span>             }
<span class="ln">3710</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#1			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/helpers/expressions/em_manager_helper.php(4973): <strong>LimeExpressionManager</strong>-&gt;<strong>setVariableAndTokenMappingsForExpressionManager</strong>("872677")				</div>

				<div class="code"><pre><span class="ln">4968</span>                 $LEM-&gt;em-&gt;StartProcessingGroup(
<span class="ln">4969</span>                     isset($_SESSION['LEMsid']) ? $_SESSION['LEMsid'] : NULL,
<span class="ln">4970</span>                     '',
<span class="ln">4971</span>                     true
<span class="ln">4972</span>                 );
<span class="error"><span class="ln error-ln">4973</span>                 $LEM-&gt;setVariableAndTokenMappingsForExpressionManager($_SESSION['LEMsid']);
</span><span class="ln">4974</span>             }
<span class="ln">4975</span> 
<span class="ln">4976</span>         }
<span class="ln">4977</span> 
<span class="ln">4978</span>         /**
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#2			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/helpers/expressions/em_manager_helper.php(853): <strong>LimeExpressionManager</strong>::<strong>StartProcessingPage</strong>(true, true)				</div>

				<div class="code"><pre><span class="ln">848</span>         public static function getLEMqcode2sgqa($iSurveyId){
<span class="ln">849</span>                 $LEM =&amp; LimeExpressionManager::singleton();
<span class="ln">850</span> 
<span class="ln">851</span>                 $LEM-&gt;SetEMLanguage(Survey::model()-&gt;findByPk($iSurveyId)-&gt;language);
<span class="ln">852</span>                 $LEM-&gt;SetSurveyId($iSurveyId);
<span class="error"><span class="ln error-ln">853</span>                 $LEM-&gt;StartProcessingPage(true,true);
</span><span class="ln">854</span>                 return $LEM-&gt;qcode2sgqa;
<span class="ln">855</span>         }
<span class="ln">856</span> 
<span class="ln">857</span>         /**
<span class="ln">858</span>         * If $qid is set, returns the relevance equation generated from conditions (or NULL if there are no conditions for that $qid)
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#3			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/helpers/expressions/em_manager_helper.php(868): <strong>LimeExpressionManager</strong>::<strong>getLEMqcode2sgqa</strong>("872677")				</div>

				<div class="code"><pre><span class="ln">863</span>         */
<span class="ln">864</span>         public static function ConvertConditionsToRelevance($surveyId, $qid=NULL)
<span class="ln">865</span>         {
<span class="ln">866</span>             $aDictionary=array();
<span class="ln">867</span>             if (!is_null($surveyId)) {
<span class="error"><span class="ln error-ln">868</span>                 $aDictionary = LimeExpressionManager::getLEMqcode2sgqa($surveyId);
</span><span class="ln">869</span>                 if (!is_null($aDictionary)) {
<span class="ln">870</span>                     $aDictionary = array_flip($aDictionary);
<span class="ln">871</span>                 } 
<span class="ln">872</span>             }
<span class="ln">873</span>             $query = LimeExpressionManager::getConditionsForEM($surveyId,$qid);
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#4			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/helpers/expressions/em_manager_helper.php(825): <strong>LimeExpressionManager</strong>::<strong>ConvertConditionsToRelevance</strong>("872677", null)				</div>

				<div class="code"><pre><span class="ln">820</span>         * @return int
<span class="ln">821</span>         */
<span class="ln">822</span>         public static function RevertUpgradeConditionsToRelevance($surveyId=NULL, $qid=NULL)
<span class="ln">823</span>         {
<span class="ln">824</span>             LimeExpressionManager::SetDirtyFlag();  // set dirty flag even if not conditions, since must have had a DB change
<span class="error"><span class="ln error-ln">825</span>             $releqns = self::ConvertConditionsToRelevance($surveyId,$qid);
</span><span class="ln">826</span>             if(!is_array($releqns)) {
<span class="ln">827</span>                 return NULL;
<span class="ln">828</span>             }
<span class="ln">829</span>             $num = count($releqns);
<span class="ln">830</span>             if ($num == 0) {
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#5			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/helpers/admin/import_helper.php(2004): <strong>LimeExpressionManager</strong>::<strong>RevertUpgradeConditionsToRelevance</strong>("872677")				</div>

				<div class="code"><pre><span class="ln">1999</span>     translateInsertansTags($iNewSID, $iOldSID, $aOldNewFieldmap);
<span class="ln">2000</span>     replaceExpressionCodes($iNewSID, $aQuestionCodeReplacements);
<span class="ln">2001</span>     if (count($aQuestionCodeReplacements)) {
<span class="ln">2002</span>             array_unshift($results['importwarnings'], "&lt;span class='warningtitle'&gt;".gT('Attention: Several question codes were updated. Please check these carefully as the update  may not be perfect with customized expressions.').'&lt;/span&gt;');
<span class="ln">2003</span>     }
<span class="error"><span class="ln error-ln">2004</span>     LimeExpressionManager::RevertUpgradeConditionsToRelevance($iNewSID);
</span><span class="ln">2005</span>     LimeExpressionManager::UpgradeConditionsToRelevance($iNewSID);
<span class="ln">2006</span>     return $results;
<span class="ln">2007</span> }
<span class="ln">2008</span> 
<span class="ln">2009</span> /**
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#6			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/helpers/admin/import_helper.php(1052): <strong>XMLImportSurvey</strong>("/var/www/lime25/limesurvey/tmp/7c4d9gsjm9vuph5xn9xxnd5iuxwxec.ls...", "&lt;?xml version="1.0" encoding="UTF-8"?&gt;
&lt;document&gt;
 &lt;LimeSurveyDo...", null, null, ...)				</div>

				<div class="code"><pre><span class="ln">1047</span>     } else {
<span class="ln">1048</span>         $sExtension = "";
<span class="ln">1049</span>     }
<span class="ln">1050</span>     switch ($sExtension) {
<span class="ln">1051</span>         case 'lss':
<span class="error"><span class="ln error-ln">1052</span>             $aImportResults = XMLImportSurvey($sFullFilePath, null, $sNewSurveyName, $DestSurveyID, $bTranslateLinksFields);
</span><span class="ln">1053</span>             if (!empty($aImportResults['newsid'])) {
<span class="ln">1054</span>                 TemplateConfiguration::checkAndcreateSurveyConfig($aImportResults['newsid']);
<span class="ln">1055</span>             }
<span class="ln">1056</span>             return $aImportResults;
<span class="ln">1057</span>         case 'txt':
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#7			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/controllers/admin/surveyadmin.php(1059): <strong>importSurveyFile</strong>("/var/www/lime25/limesurvey/tmp/7c4d9gsjm9vuph5xn9xxnd5iuxwxec.ls...", true)				</div>

				<div class="code"><pre><span class="ln">1054</span> 
<span class="ln">1055</span>             // Now, we have the survey : start importing
<span class="ln">1056</span>             Yii::app()-&gt;loadHelper('admin/import');
<span class="ln">1057</span> 
<span class="ln">1058</span>             if ($action == 'importsurvey' &amp;&amp; !$aData['bFailed']) {
<span class="error"><span class="ln error-ln">1059</span>                 $aImportResults = importSurveyFile($sFullFilepath, (Yii::app()-&gt;request-&gt;getPost('translinksfields') == '1'));
</span><span class="ln">1060</span>                 if (is_null($aImportResults)) {
<span class="ln">1061</span>                     $aImportResults = array(
<span class="ln">1062</span>                         'error'=&gt;gT("Unknown error while reading the file, no survey created.")
<span class="ln">1063</span>                     );
<span class="ln">1064</span>                 }
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#8			</td>
			<td class="content">
				<div class="trace-file">
										&nbsp;unknown(0): <strong>SurveyAdmin</strong>-&gt;<strong>copy</strong>()				</div>

							</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#9			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/actions/CAction.php(109): <strong>ReflectionMethod</strong>-&gt;<strong>invokeArgs</strong>(SurveyAdmin, array())				</div>

				<div class="code"><pre><span class="ln">104</span>             elseif($param-&gt;isDefaultValueAvailable())
<span class="ln">105</span>                 $ps[]=$param-&gt;getDefaultValue();
<span class="ln">106</span>             else
<span class="ln">107</span>                 return false;
<span class="ln">108</span>         }
<span class="error"><span class="ln error-ln">109</span>         $method-&gt;invokeArgs($object,$ps);
</span><span class="ln">110</span>         return true;
<span class="ln">111</span>     }
<span class="ln">112</span> }
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#10			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/core/Survey_Common_Action.php(83): <strong>CAction</strong>-&gt;<strong>runWithParamsInternal</strong>(SurveyAdmin, ReflectionMethod, array("sa" =&gt; "copy"))				</div>

				<div class="code"><pre><span class="ln">78</span>             $oMethod = new ReflectionMethod($this, $sDefault);
<span class="ln">79</span>         }
<span class="ln">80</span> 
<span class="ln">81</span>         // We're all good to go, let's execute it
<span class="ln">82</span>         // runWithParamsInternal would automatically get the parameters of the method and populate them as required with the params
<span class="error"><span class="ln error-ln">83</span>         return parent::runWithParamsInternal($this, $oMethod, $params);
</span><span class="ln">84</span>     }
<span class="ln">85</span> 
<span class="ln">86</span>     /**
<span class="ln">87</span>      * Some functions have different parameters, which are just an alias of the
<span class="ln">88</span>      * usual parameters we're getting in the url. This function just populates
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#11			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CController.php(308): <strong>Survey_Common_Action</strong>-&gt;<strong>runWithParams</strong>(array("sa" =&gt; "copy"))				</div>

				<div class="code"><pre><span class="ln">303</span>     {
<span class="ln">304</span>         $priorAction=$this-&gt;_action;
<span class="ln">305</span>         $this-&gt;_action=$action;
<span class="ln">306</span>         if($this-&gt;beforeAction($action))
<span class="ln">307</span>         {
<span class="error"><span class="ln error-ln">308</span>             if($action-&gt;runWithParams($this-&gt;getActionParams())===false)
</span><span class="ln">309</span>                 $this-&gt;invalidActionParams($action);
<span class="ln">310</span>             else
<span class="ln">311</span>                 $this-&gt;afterAction($action);
<span class="ln">312</span>         }
<span class="ln">313</span>         $this-&gt;_action=$priorAction;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#12			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CController.php(286): <strong>CController</strong>-&gt;<strong>runAction</strong>(SurveyAdmin)				</div>

				<div class="code"><pre><span class="ln">281</span>      * @see runAction
<span class="ln">282</span>      */
<span class="ln">283</span>     public function runActionWithFilters($action,$filters)
<span class="ln">284</span>     {
<span class="ln">285</span>         if(empty($filters))
<span class="error"><span class="ln error-ln">286</span>             $this-&gt;runAction($action);
</span><span class="ln">287</span>         else
<span class="ln">288</span>         {
<span class="ln">289</span>             $priorAction=$this-&gt;_action;
<span class="ln">290</span>             $this-&gt;_action=$action;
<span class="ln">291</span>             CFilterChain::create($this,$action,$filters)-&gt;run();
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#13			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CController.php(265): <strong>CController</strong>-&gt;<strong>runActionWithFilters</strong>(SurveyAdmin, array())				</div>

				<div class="code"><pre><span class="ln">260</span>         {
<span class="ln">261</span>             if(($parent=$this-&gt;getModule())===null)
<span class="ln">262</span>                 $parent=Yii::app();
<span class="ln">263</span>             if($parent-&gt;beforeControllerAction($this,$action))
<span class="ln">264</span>             {
<span class="error"><span class="ln error-ln">265</span>                 $this-&gt;runActionWithFilters($action,$this-&gt;filters());
</span><span class="ln">266</span>                 $parent-&gt;afterControllerAction($this,$action);
<span class="ln">267</span>             }
<span class="ln">268</span>         }
<span class="ln">269</span>         else
<span class="ln">270</span>             $this-&gt;missingAction($actionID);
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#14			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/controllers/AdminController.php(158): <strong>CController</strong>-&gt;<strong>run</strong>("survey")				</div>

				<div class="code"><pre><span class="ln">153</span>                     $this-&gt;redirect(array('/admin/authentication/sa/login'));
<span class="ln">154</span>                 }
<span class="ln">155</span>             }
<span class="ln">156</span>         }
<span class="ln">157</span> 
<span class="error"><span class="ln error-ln">158</span>         return parent::run($action);
</span><span class="ln">159</span>     }
<span class="ln">160</span> 
<span class="ln">161</span>     /**
<span class="ln">162</span>      * Routes all the actions to their respective places
<span class="ln">163</span>      *
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#15			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CWebApplication.php(282): <strong>AdminController</strong>-&gt;<strong>run</strong>("survey")				</div>

				<div class="code"><pre><span class="ln">277</span>         {
<span class="ln">278</span>             list($controller,$actionID)=$ca;
<span class="ln">279</span>             $oldController=$this-&gt;_controller;
<span class="ln">280</span>             $this-&gt;_controller=$controller;
<span class="ln">281</span>             $controller-&gt;init();
<span class="error"><span class="ln error-ln">282</span>             $controller-&gt;run($actionID);
</span><span class="ln">283</span>             $this-&gt;_controller=$oldController;
<span class="ln">284</span>         }
<span class="ln">285</span>         else
<span class="ln">286</span>             throw new CHttpException(404,Yii::t('yii','Unable to resolve the request "{route}".',
<span class="ln">287</span>                 array('{route}'=&gt;$route===''?$this-&gt;defaultController:$route)));
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#16			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CWebApplication.php(141): <strong>CWebApplication</strong>-&gt;<strong>runController</strong>("admin/survey/sa/copy")				</div>

				<div class="code"><pre><span class="ln">136</span>             foreach(array_splice($this-&gt;catchAllRequest,1) as $name=&gt;$value)
<span class="ln">137</span>                 $_GET[$name]=$value;
<span class="ln">138</span>         }
<span class="ln">139</span>         else
<span class="ln">140</span>             $route=$this-&gt;getUrlManager()-&gt;parseUrl($this-&gt;getRequest());
<span class="error"><span class="ln error-ln">141</span>         $this-&gt;runController($route);
</span><span class="ln">142</span>     }
<span class="ln">143</span> 
<span class="ln">144</span>     /**
<span class="ln">145</span>      * Registers the core application components.
<span class="ln">146</span>      * This method overrides the parent implementation by registering additional core components.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#17			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/base/CApplication.php(185): <strong>CWebApplication</strong>-&gt;<strong>processRequest</strong>()				</div>

				<div class="code"><pre><span class="ln">180</span>     public function run()
<span class="ln">181</span>     {
<span class="ln">182</span>         if($this-&gt;hasEventHandler('onBeginRequest'))
<span class="ln">183</span>             $this-&gt;onBeginRequest(new CEvent($this));
<span class="ln">184</span>         register_shutdown_function(array($this,'end'),0,false);
<span class="error"><span class="ln error-ln">185</span>         $this-&gt;processRequest();
</span><span class="ln">186</span>         if($this-&gt;hasEventHandler('onEndRequest'))
<span class="ln">187</span>             $this-&gt;onEndRequest(new CEvent($this));
<span class="ln">188</span>     }
<span class="ln">189</span> 
<span class="ln">190</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#18			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/index.php(194): <strong>CApplication</strong>-&gt;<strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">189</span> require_once APPPATH . 'core/LSYii_Application' . EXT;
<span class="ln">190</span> 
<span class="ln">191</span> $config = require_once(APPPATH . 'config/internal' . EXT);
<span class="ln">192</span> 
<span class="ln">193</span> Yii::$enableIncludePath = false;
<span class="error"><span class="ln error-ln">194</span> Yii::createApplication('LSYii_Application', $config)-&gt;run();
</span><span class="ln">195</span> 
<span class="ln">196</span> /* End of file index.php */
<span class="ln">197</span> /* Location: ./index.php */
</pre></div>			</td>
		</tr>
				</tbody></table>
	</div>

	<div class="version">
		2018-06-21 14:42:49 Apache/2.4.10 (Ubuntu) <a href="http://www.yiiframework.com/">Yii Framework</a>/1.1.19	</div>
</div>

<script type="text/javascript">
/*<![CDATA[*/
var traceReg = new RegExp("(^|\\s)trace-file(\\s|$)");
var collapsedReg = new RegExp("(^|\\s)collapsed(\\s|$)");

var e = document.getElementsByTagName("div");
for(var j=0,len=e.length;j<len;j++){
	if(traceReg.test(e[j].className)){
		e[j].onclick = function(){
			var trace = this.parentNode.parentNode;
			if(collapsedReg.test(trace.className))
				trace.className = trace.className.replace("collapsed", "expanded");
			else
				trace.className = trace.className.replace("expanded", "collapsed");
		}
	}
}
/*]]>*/
</script>



</body></html>
PHP notice.html (28,145 bytes)   
c_schmitz

c_schmitz

2019-05-22 13:53

administrator   ~52045

Seems to be already resolved.

Issue History

Date Modified Username Field Change
2018-06-21 14:44 ollehar New Issue
2018-06-21 14:44 ollehar Status new => assigned
2018-06-21 14:44 ollehar Assigned To => c_schmitz
2018-06-21 14:44 ollehar File Added: PHP notice.html
2018-06-21 14:44 ollehar File Added: limesurvey_survey_432556.lss
2018-06-21 14:45 ollehar Steps to Reproduce Updated View Revisions
2019-05-22 13:53 c_schmitz Status assigned => closed
2019-05-22 13:53 c_schmitz Resolution open => fixed
2019-05-22 13:53 c_schmitz Fixed in Version => 4.0.0-beta
2019-05-22 13:53 c_schmitz Note Added: 52045
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing